Bug 133067

Summary: [webkitpy] Refactor pluralizer in grammar.py
Product: WebKit Reporter: Éva Balázsfalvi <evab.u-szeged>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, bunhere, cdumez, commit-queue, glenn, gyuyoung.kim, ossy, rniwa, sergio
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
ossy: review+, ossy: commit-queue-
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2
none
patch for landing
none
patch for landing
commit-queue: commit-queue-
patch for landing none

Description Éva Balázsfalvi 2014-05-19 02:33:00 PDT
Refactor pluralizer in Tools/Scripts/webkitpy/tool/grammar.py and use
it everywhere, for example in
Tools/Scripts/webkitpy/tool/steps/preparechangelogforrevert.py
Comment 1 Éva Balázsfalvi 2014-05-28 02:20:45 PDT
Created attachment 232180 [details]
Patch
Comment 2 Build Bot 2014-05-28 03:22:59 PDT
Comment on attachment 232180 [details]
Patch

Attachment 232180 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5138742662660096

New failing tests:
media/W3C/video/networkState/networkState_during_loadstart.html
Comment 3 Build Bot 2014-05-28 03:23:01 PDT
Created attachment 232186 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 4 Éva Balázsfalvi 2014-05-29 01:02:32 PDT
Comment on attachment 232180 [details]
Patch

It seems the Mac WK2 EWS is flakey, this patch can't break any test, so cq? again.
Comment 5 Csaba Osztrogonác 2014-07-01 03:47:51 PDT
Comment on attachment 232180 [details]
Patch

LGTM, r=me, but please don't set the execute permission for finder_unittest.py and main_unittest.py.
Comment 6 Éva Balázsfalvi 2014-07-01 04:07:14 PDT
Created attachment 234155 [details]
patch for landing
Comment 7 Éva Balázsfalvi 2014-07-01 04:17:14 PDT
Created attachment 234156 [details]
patch for landing
Comment 8 WebKit Commit Bot 2014-07-01 05:13:50 PDT
Comment on attachment 234156 [details]
patch for landing

Rejecting attachment 234156 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 234156, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Csaba Osztrogonac found in /Volumes/Data/EWS/WebKit/Tools/ChangeLog does not appear to be a valid reviewer according to contributors.json.
/Volumes/Data/EWS/WebKit/Tools/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://webkit-queues.appspot.com/results/4577065588228096
Comment 9 Éva Balázsfalvi 2014-07-01 05:20:10 PDT
Created attachment 234159 [details]
patch for landing
Comment 10 WebKit Commit Bot 2014-07-01 06:09:43 PDT
The commit-queue encountered the following flaky tests while processing attachment 234159 [details]:

media/video-ended-event-negative-playback.html bug 134490
The commit-queue is continuing to process your patch.
Comment 11 WebKit Commit Bot 2014-07-01 06:10:45 PDT
Comment on attachment 234159 [details]
patch for landing

Clearing flags on attachment: 234159

Committed r170637: <http://trac.webkit.org/changeset/170637>
Comment 12 WebKit Commit Bot 2014-07-01 06:10:52 PDT
All reviewed patches have been landed.  Closing bug.